.NET

Reply
Contributor
vinayan
Posts: 13
Registered: ‎05-17-2009
Message 1 of 2 (227 Views)
Accepted Solution

How to Get all opened documents(drawings)

227 Views, 1 Replies
05-28-2012 03:33 AM

I am using AutoCAD 2012 and the .NET API. Can someone help me how can i loop through the document objects of all the open documents? i am trying to do something like the code below..

 

public void GetDocNames()
        {
            DocumentCollection docs = Application.DocumentManager;

            for (int i = 0; i < docs.Count; i++)
            {
                AcadDocument doc = docs[i];
                Debug.Print(doc.Name);
            }
        }

 

For Each element As Autodesk.AutoCAD.ApplicationServices.Document In Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager
.. your code.
Next

 

with this you have all open document 

Valued Mentor
AubelecBE
Posts: 394
Registered: ‎01-27-2010
Message 2 of 2 (219 Views)

Re: How to Get all opened documents(drawings)

05-28-2012 05:04 AM in reply to: vinayan
For Each element As Autodesk.AutoCAD.ApplicationServices.Document In Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager
            
.. your code.
        Next

 

with this you have all open document 

Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.